[sword-devel] wxSword Client

Barry Drake b.drake at ntlworld.com
Thu May 4 01:11:38 MST 2006

Hi Greg ...........

Greg Hellings wrote:
> Currently it is linked to  the sword-1.5.7a library.  I figured that 
> sword could be built without the ftp/curl stuff, but I didn't feel 
> like mucking around in the Makefile when I got around to building the 
> sword library. 
Right .........  well, I installed WXWidgets-2.6.3 with no problem at 
all.  I'm working with mingw (msys).  I just did ./configure with all 
the options the read-me suggests (static with debug etc.) and then make, 
and the whole thing worked straight out of the box.  I got WXSword to 
compile OK (without the WXMozilla stuff) - but the linking went only so 
far.  It seems to link against the WX libraries and the Sword 1.5.8 
library that I already had on my box ...  but then I get a whole lot of 
unresolved references that I don't understand.  They begin with   
[Linker error] undefined reference to `CoCreateInstance at 20',   [Linker 
error] undefined reference to `IID_IPersistFile',   [Linker error] 
undefined reference to `InitCommonControls at 0'  ....  and so on ....

I have no idea what these might represent so for now I've stalled ....  
any thoughts?

God bless,

-- From Barry Drake (The Revd) minister of the Netherfield United Reformed church, Nottingham see http://www.jesusinnetherfield.org.uk for our church homepages).

Replies - b.drake at ntlworld.com

More information about the sword-devel mailing list